package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.ActivityEnroll;
import com.lightinit.hsdataportal.entity.ActivityEnrollExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ActivityEnrollMapper {
    long countByExample(ActivityEnrollExample example);

    int deleteByExample(ActivityEnrollExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ActivityEnroll record);

    int insertSelective(ActivityEnroll record);

    List<ActivityEnroll> selectByExample(ActivityEnrollExample example);

    ActivityEnroll selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ActivityEnroll record, @Param("example") ActivityEnrollExample example);

    int updateByExample(@Param("record") ActivityEnroll record, @Param("example") ActivityEnrollExample example);

    int updateByPrimaryKeySelective(ActivityEnroll record);

    int updateByPrimaryKey(ActivityEnroll record);
}